This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 803443 - (CVE-2012-1175) CVE-2012-1175 gnash: integer overflow vulnerability
CVE-2012-1175 gnash: integer overflow vulnerability
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
high Severity high
: ---
: ---
Assigned To: Red Hat Product Security
impact=important,public=20120311,repo...
: Security
Depends On: 803444
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-14 13:53 EDT by Vincent Danen
Modified: 2016-03-04 07:03 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-04-11 16:02:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Vincent Danen 2012-03-14 13:53:38 EDT
It was reported [1] that an integer overflow in GNU Gnash's GnashImage::size() method could be exploited to cause a heap-based buffer overflow when opening certain specially-crafted SWF files.  If a user were tricked into opening a malicious SWF file it cause cause Gnash to crash or, possibly, execute arbitrary code with the permissions of the user running Gnash.

The flaw was reported in 0.8.10 and is fixed in git [2].

[1] http://secunia.com/advisories/47183
[2] http://git.savannah.gnu.org/cgit/gnash.git/commit/?id=bb4dc77eecb6ed1b967e3ecbce3dac6c5e6f1527
Comment 1 Vincent Danen 2012-03-14 13:56:55 EDT
Created gnash tracking bugs for this issue

Affects: fedora-all [bug 803444]
Comment 2 Vincent Danen 2012-03-14 14:10:28 EDT
This was assigned the name CVE-2012-1175:

http://www.openwall.com/lists/oss-security/2012/03/14/6
Comment 3 Fedora Update System 2012-03-21 14:53:08 EDT
gnash-0.8.10-2.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 4 Fedora Update System 2012-03-26 00:01:16 EDT
gnash-0.8.10-2.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 5 Fedora Update System 2012-03-26 13:54:42 EDT
gnash-0.8.10-2.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2012-03-26 14:00:42 EDT
gnash-0.8.10-2.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.